Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ObjectKey_var Class Reference

`#include <Object_KeyC.h>`

Collaboration diagram for TAO_ObjectKey_var:

[legend]
List of all members.

## Public Methods
| TAO_ObjectKey_var (void)
| TAO_ObjectKey_var (TAO_ObjectKey *)
| TAO_ObjectKey_var (const TAO_ObjectKey_var &)
| ~TAO_ObjectKey_var (void)
TAO_ObjectKey_var& | operator= (TAO_ObjectKey *)
TAO_ObjectKey_var& | operator= (const TAO_ObjectKey_var &)
TAO_ObjectKey* | operator-> (void)
const TAO_ObjectKey* | operator-> (void) const
| operator const TAO_ObjectKey & () const
| operator TAO_ObjectKey & ()
| operator TAO_ObjectKey & () const
CORBA::Octet& | operator[] (CORBA::ULong index)
const TAO_ObjectKey& | in (void) const
TAO_ObjectKey& | inout (void)
TAO_ObjectKey*& | out (void)
TAO_ObjectKey* | _retn (void)
TAO_ObjectKey* | ptr (void) const
## Private Attributes
TAO_ObjectKey* | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_ObjectKey_var::TAO_ObjectKey_var ( | void )

ACE_INLINE TAO_ObjectKey_var::TAO_ObjectKey_var ( | TAO_ObjectKey * p )

ACE_INLINE TAO_ObjectKey_var::TAO_ObjectKey_var ( | const TAO_ObjectKey_var & p )

ACE_INLINE TAO_ObjectKey_var::~TAO_ObjectKey_var ( | void )

## Member Function Documentation

ACE_INLINE TAO_ObjectKey * TAO_ObjectKey_var::_retn ( | void )

ACE_INLINE const TAO_ObjectKey & TAO_ObjectKey_var::in ( | void ) const

ACE_INLINE TAO_ObjectKey & TAO_ObjectKey_var::inout ( | void )

ACE_INLINE TAO_ObjectKey_var::operator TAO_ObjectKey & ( | ) const

ACE_INLINE TAO_ObjectKey_var::operator TAO_ObjectKey & ( | )

ACE_INLINE TAO_ObjectKey_var::operator const TAO_ObjectKey & ( | ) const

ACE_INLINE const TAO_ObjectKey * TAO_ObjectKey_var::operator-> ( | void ) const

ACE_INLINE TAO_ObjectKey * TAO_ObjectKey_var::operator-> ( | void )

ACE_INLINE TAO_ObjectKey_var & TAO_ObjectKey_var::operator= ( | const TAO_ObjectKey_var & p )

ACE_INLINE TAO_ObjectKey_var & TAO_ObjectKey_var::operator= ( | TAO_ObjectKey * p )

ACE_INLINE CORBA::Octet & TAO_ObjectKey_var::operator[] ( | CORBA::ULong slot )

ACE_INLINE TAO_ObjectKey *& TAO_ObjectKey_var::out ( | void )

ACE_INLINE TAO_ObjectKey * TAO_ObjectKey_var::ptr ( | void ) const

## Member Data Documentation

TAO_ObjectKey * TAO_ObjectKey_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Object_KeyC.h
- Object_KeyC.i